﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Toyota.Common.Web.Credential;

@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0" style="width:100%; height:100%; padding: 10px;">
    <tr style="height: 20px;">
        <td style="width: 5%; vertical-align: top; padding-top: 10px">
            @Html.Label("Upload File")
        </td>
        <td style="width: 20%; padding-top: 5px">
            @using (Html.BeginForm("DownloadCallback", "Keihen", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                @Html.DevExpress().UploadControl(
                    upload =>
                    {
                        upload.Name = "RevisionFileUpload";

                        upload.CallbackRouteValues = new
                        {
                            Controller = "Keihen",
                            Action = "OnUploadRevisionCallbackRouteValues"
                        };

                        upload.Width = Unit.Percentage(100);
                        //upload.ShowProgressPanel = true;
                        //upload.UploadMode = UploadControlUploadMode.Advanced;

                        upload.ValidationSettings.MaxFileSize = 10000000;
                        upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                        upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                        upload.ValidationSettings.ShowErrors = true;

                        //upload.ClientSideEvents.UploadingProgressChanged = "OnSFPFFFileUploadUploadingProgressChanged";
                        //upload.ClientSideEvents.FileUploadStart = "OnSFPFFFileUploadFileUploadStart";
                        upload.ClientSideEvents.FileUploadComplete = "OnUploadRevisionComplete";
                        //upload.ClientSideEvents.FilesUploadComplete = "OnSFPFFFilesUploadFileUploadComplete";

                        upload.CancelButton.Text = "";
                        upload.CancelButtonSpacing = Unit.Pixel(0);
                    }).GetHtml()
            }
        </td>
        <td  align="right" style="width: 6%; vertical-align: bottom">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "RevisionUploadButton";
                        setting.Text = "Upload";
                        setting.Width = Unit.Pixel(70);
                        setting.ClientSideEvents.Click = "UploadRevision";
                    }

                ).GetHtml()
        </td>
        <td style="width: 70%; vertical-align: bottom; " align="right">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "ApproveButton";
                        setting.Text = "Approve by PCD";
                        setting.Width = Unit.Pixel(120);
                        setting.ClientSideEvents.Click = "Approve";
                    }

                ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
</table>

<div style="margin-top:20px; margin-right:4px; margin-left:4px;">
    @Html.Action("ReloadCalculatedKeihenGrid", "Keihen")
</div>


